| FlatBuffers An open source project by FPL.

Public Member Functions | Static Public Member Functions | List of all members
com.google.flatbuffers.FlexBuffers.TypedVector Class Reference

Object that represents a set of elements with the same type. More...

Inheritance diagram for com.google.flatbuffers.FlexBuffers.TypedVector:

## Detailed Description

Object that represents a set of elements with the same type.

## Public Member Functions
Reference | get (int pos)
| Get reference to an object in the `Vector @endiliteral.` More...
int | getElemType ()
| Return element type for all elements in the vector. More...
boolean | isEmptyVector ()
| Returns whether the vector is empty. More...
Public Member Functions inherited from com.google.flatbuffers.FlexBuffers.Vector
Reference | get (int index)
| Get a element in a vector by index. More...
boolean | isEmpty ()
| Checks if the vector is empty. More...
StringBuilder | toString (StringBuilder sb)
| Appends a text(JSON) representation to a `StringBuilder` More...

## Static Public Member Functions
static TypedVector | empty ()
| Returns an empty `Map`. More...
static Vector | empty ()
| Returns an empty `Map`. More...

## Member Function Documentation

## ◆ empty()

static TypedVector com.google.flatbuffers.FlexBuffers.TypedVector.empty | ( |  | ) |
| inline static

Returns an empty `Map`.

Returns
  an empty `Map`

Reimplemented from com.google.flatbuffers.FlexBuffers.Vector.

## ◆ get()

Reference com.google.flatbuffers.FlexBuffers.TypedVector.get | ( | int | pos | ) |
| inline

Get reference to an object in the `Vector @endiliteral.
`

Parameters

  pos | position of the object in `Vector`

Returns
  reference to element

Reimplemented from com.google.flatbuffers.FlexBuffers.Vector.

## ◆ getElemType()

int com.google.flatbuffers.FlexBuffers.TypedVector.getElemType | ( |  | ) |
| inline

Return element type for all elements in the vector.

Returns
  element type

## ◆ isEmptyVector()

boolean com.google.flatbuffers.FlexBuffers.TypedVector.isEmptyVector | ( |  | ) |
| inline

Returns whether the vector is empty.

Returns
  true if empty

The documentation for this class was generated from the following file:

- FlexBuffers.java